Bug 998887 - provide a meaningful 'reason' text for kernel page faults
provide a meaningful 'reason' text for kernel page faults
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
https://github.com/oops-kernel-org/we...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 05:50 EDT by Anton Arapov
Modified: 2015-02-17 09:34 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:34:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Arapov 2013-08-20 05:50:52 EDT
Instead of summaries like "general protection fault: 4000 [#1] SMP"
Decode the EIP/RIP, and call it "general protection fault in i915_gem_do_execbuffer".

Not only does it make reading summaries easier, it should allow you to detect
dupes better.

Reported-by: DaveJ
Comment 1 Fedora End Of Life 2013-09-16 12:37:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Anton Arapov 2014-08-08 10:48:35 EDT
Jakub the actual work has been done on the oops.kernel.org side. You may want to get the knowledge and code from Petr Oros from kernel team. He is in Cc of this bug.
Comment 4 Jakub Filak 2014-08-11 03:46:39 EDT
Thank you Anton! See URL field :) I spent an hour by studying oops.kernel.org and I found lines relevant for this bug. However, the code is so impressive and I am not sure which other parts we should adopt in ABRT.
Comment 5 Martin Milata 2014-11-04 10:57:34 EST
Patches posted for review:
https://github.com/abrt/satyr/pull/195
https://github.com/abrt/abrt/pull/869
Comment 6 Anton Arapov 2014-11-04 11:08:01 EST
ACK for the both. :)
Comment 7 Jakub Filak 2014-11-05 02:23:23 EST
The patches have been pushed to the upstream git repositories.
Comment 8 Jakub Filak 2015-02-16 07:41:52 EST
It is too late for F20.
Comment 9 Matej Habrnal 2015-02-17 09:34:23 EST
Fixed In Version abrt-2.3.0-3.fc21.

Note You need to log in before you can comment on or make changes to this bug.